Get shipment
curl --request GET \
--url https://sg.sandbox.api.reap.global/card-shipments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/card-shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-shipments/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DRAFT",
"destinationAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"recipient": {
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"dialCode": 123,
"email": "jsmith@example.com"
},
"courier": {
"type": "POSTAL"
},
"trackingNumber": "<string>",
"trackingUrl": "<string>",
"cutoffDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"submittedAt": "<string>",
"deliveredAt": "<string>",
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardDesignId": "<string>",
"shippingAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"productionStatus": "PENDING",
"rejectedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": {
"code": "CARD_SHIPMENT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Card Shipments
Get shipment
Unified card shipments API. Ship one card or up to 200 cards in a single draft-first shipment.
GET
/
card-shipments
/
{id}
Get shipment
curl --request GET \
--url https://sg.sandbox.api.reap.global/card-shipments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/card-shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-shipments/{id}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DRAFT",
"destinationAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"recipient": {
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"dialCode": 123,
"email": "jsmith@example.com"
},
"courier": {
"type": "POSTAL"
},
"trackingNumber": "<string>",
"trackingUrl": "<string>",
"cutoffDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"submittedAt": "<string>",
"deliveredAt": "<string>",
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardDesignId": "<string>",
"shippingAddress": {
"line1": "<string>",
"line2": "<string>",
"zone": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "US"
},
"productionStatus": "PENDING",
"rejectedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": {
"code": "CARD_SHIPMENT_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Response
Card shipment with member cards
Unique shipment identifier
Shipment lifecycle status
Available options:
DRAFT, PLACED, IN_PRODUCTION, READY_TO_SHIP, IN_TRANSIT, OUT_FOR_DELIVERY, DELIVERED, DELIVERY_FAILED, EXCEPTION, CANCELED Example:
"DRAFT"
Box-level destination address
Show child attributes
Show child attributes
Recipient details
Show child attributes
Show child attributes
Courier on the shipment
- Postal
- Courier
Show child attributes
Show child attributes
Courier tracking number
Courier tracking URL
ISO 8601 cutoff date returned by the manufacturer
ISO 8601 creation timestamp
ISO 8601 last update timestamp
ISO 8601 timestamp when submitted to the manufacturer
ISO 8601 timestamp when all cards were delivered
Cards included in this shipment
Show child attributes
Show child attributes